# Christmas Box Code
# Caroline Hanzlik and Matt Guo

import board, digitalio, pwmio, time
from adafruit_motor import servo
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile

pwm = pwmio.PWMOut(board.A1, frequency=50)
servo_1 = servo.Servo(pwm, max_pulse = 2500)
servo_1.angle = 0

pwm = pwmio.PWMOut(board.A2, frequency=50)
servo_2 = servo.Servo(pwm, max_pulse = 2500)

servo_2.angle = 180

speaker = digitalio.DigitalInOut(board.SPEAKER_ENABLE)
speaker.direction = digitalio.Direction.OUTPUT
speaker.value = True
audio = AudioOut(board.SPEAKER)

button_A = digitalio.DigitalInOut(board.A6)
button_A.switch_to_input(pull=digitalio.Pull.UP)

on_switch = False

path = "/"

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            pass

while True:
    if not button_A.value:
        if not on_switch:
            on_switch = True
        time.sleep(0.5)

    if on_switch:
        print("BOX OPEN")
        for x in range(0,81,5):
            servo_1.angle = x
            servo_2.angle = 170-x
            time.sleep(0.05)

        play_sound("wand.wav")
        time.sleep(8)

        for x in range(80,-1,-5):
            servo_1.angle = x
            servo_2.angle = 180-x
            time.sleep(0.1)
        on_switch = False





